org.apache.avro.perf.test.reflect

## Class ReflectIntArrayTest.TestStateDecode

- java.lang.Object
- - org.apache.avro.perf.test.BasicState
  - - org.apache.avro.perf.test.BasicArrayState
    - - org.apache.avro.perf.test.reflect.ReflectIntArrayTest.TestStateDecode

Direct Known Subclasses:
  ReflectIntArrayTest_TestStateDecode_jmhType_B1

Enclosing class:
  ReflectIntArrayTest

    public static class ReflectIntArrayTest.TestStateDecode
    extends BasicArrayState

### Field Summary

### Fields inherited from class org.apache.avro.perf.test.BasicArrayState

`arraySize`

### Fields inherited from class org.apache.avro.perf.test.BasicState

`BATCH_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`TestStateDecode()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doSetupInvocation()`
`void` `doSetupTrial()` Generate test data.

### Methods inherited from class org.apache.avro.perf.test.BasicArrayState

`getArraySize, getBatchSize`

### Methods inherited from class org.apache.avro.perf.test.BasicState

`getNullOutputStream, getRandom, newDecoder, newEncoder, newEncoder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestStateDecode

    public TestStateDecode()

### Method Detail

#### doSetupTrial

    public void doSetupTrial()
                      throws IOException

Generate test data.

Throws:
  `IOException` - Could not setup test data

#### doSetupInvocation

    public void doSetupInvocation()
                           throws Exception

Throws:
  `Exception`